in scala.collection.mutable
class ImmutableMapAdaptor

[scala.serializable]
`class` ImmutableMapAdaptor [A, B]
  `extends` java.lang.Object
  `with` scala.collection.mutable.Map[A, B]
  `with` scala.ScalaObject

  This class can be used as an adaptor to create mutable maps from immutable map implementations. Only method `empty` has to be redefined if the immutable map on which this mutable map is originally based is not empty. `empty` is supposed to return the representation of an empty map.

Author:
  Matthias Zenger
Version:
  1.0, 21/07/2003

Constructor Summary
| `def` this (imap: scala.collection.immutable.Map[A, B])

Var Summary
`protected` | `var` imap : scala.collection.immutable.Map[A, B]

Def Summary
| `def` -= (key: A) : scala.Unit
`override` | `def` apply (key: A) : B
`override` | `def` clear : scala.Unit
`override` | `def` contains (key: A) : scala.Boolean
| `def` elements : scala.Iterator[scala.Tuple2[A, B]]
`override` | `def` filter (p: scala.Function1[scala.Tuple2[A, B], scala.Boolean]) : scala.Unit
`override` | `def` foreach (f: scala.Function1[scala.Tuple2[A, B], scala.Unit]) : scala.Unit
| `def` get (key: A) : scala.Option[B]
`override` | `def` isDefinedAt (key: A) : scala.Boolean
`override` | `def` isEmpty : scala.Boolean
`override` | `def` keys : scala.Iterator[A]
`override` | `def` map (f: scala.Function1[scala.Tuple2[A, B], B]) : scala.Unit
`override` | `def` mappingToString (p: scala.Tuple2[A, B]) : java.lang.String
| `def` size : scala.Int
`override` | `def` toList : scala.List[scala.Tuple2[A, B]]
`override` | `def` toString : java.lang.String
| `def` update (key: A, value: B) : scala.Unit
`override` | `def` values : scala.Iterator[B]

Constructor Detail

`def` this (imap: scala.collection.immutable.Map[A, B])

Var Detail

`protected var` imap : scala.collection.immutable.Map[A, B]

Def Detail

`def` -= (key: A): scala.Unit

`override def` apply (key: A): B

`override def` clear : scala.Unit

`override def` contains (key: A): scala.Boolean

`def` elements : scala.Iterator[scala.Tuple2[A, B]]

`override def` filter (p: scala.Function1[scala.Tuple2[A, B], scala.Boolean]): scala.Unit

`override def` foreach (f: scala.Function1[scala.Tuple2[A, B], scala.Unit]): scala.Unit

`def` get (key: A): scala.Option[B]

`override def` isDefinedAt (key: A): scala.Boolean

`override def` isEmpty : scala.Boolean

`override def` keys : scala.Iterator[A]

`override def` map (f: scala.Function1[scala.Tuple2[A, B], B]): scala.Unit

`override def` mappingToString (p: scala.Tuple2[A, B]): java.lang.String

`def` size : scala.Int

`override def` toList : scala.List[scala.Tuple2[A, B]]

`override def` toString : java.lang.String

`def` update (key: A, value: B): scala.Unit

`override def` values : scala.Iterator[B]